
TYPO3.Flow - Bug # 38840

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2012-07-10 Assigned To: Karsten Dambekalns
Updated: 2012-07-18 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.1.0 rc 1
Subject: RepositoryInterface slightly out of sync with code
Description

The documented return value of findAll() was wrong and the interface should/could have __call declared.

Associated revisions
Revision f305aee0 - 2012-07-18 16:08 - Karsten Dambekalns

[!!!][BUGFIX] Correct RepositoryInterface

Fixes a docblock and adds __call() to the interface (thus the breaking
change flag), because everyone probably would expect it to be there.

Change-Id: I1cab4e16f6d1af1cbf762ea0e9b50403808bceb1
Fixes: #38840
Releases: 1.1, 1.2

Revision d2ea90ac - 2012-07-18 16:46 - Karsten Dambekalns

[!!!][BUGFIX] Correct RepositoryInterface

Fixes a docblock and adds __call() to the interface (thus the breaking
change flag), because everyone probably would expect it to be there.

Change-Id: I1cab4e16f6d1af1cbf762ea0e9b50403808bceb1
Fixes: #38840
Releases: 1.1, 1.2

History
#1 - 2012-07-10 11:41 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12738

#2 - 2012-07-10 12:19 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12738

#3 - 2012-07-18 16:08 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12738

#4 - 2012-07-18 16:47 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12878

#5 - 2012-07-18 16:48 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Target version changed from 1.1 to 1.1 RC2
- % Done changed from 0 to 100
